MockAvlDesvfpha = [
    "***********************************************************************\n",
    "*                                                                     *\n",
    "*            CEPEL - CENTRO DE PESQUISAS DE ENERGIA ELETRICA          *\n",
    "*  MODELO DESSEM     - VERSAO 19.4.2 -  Junho  de 2023 (CPLEX)                       *\n",
    "*                                                                     *\n",
    "***********************************************************************\n",
    "\n",
    "\n",
    "   PROGRAMA LICENCIADO PARA ONS                                                                                                                                                   \n",
    "\n",
    "\n",
    "____________________________________________________________________\n",
    "\n",
    "  TE  PMO - JUNHO/23 - JULHO/23 - REV 2 - FCF COM CVAR - 12 REE - VALOR ESPERADO - Data do Caso: 13/06/2023                                                       \n",
    "____________________________________________________________________\n",
    "\n",
    "------------------------------------------------------------------------------------\n",
    "IPER:          Indice do periodo.                                                                                                                                                                       \n",
    "USIH:          Numero de cadastro da usina hidroeletrica                                                                                                                                                \n",
    "NomeUsih:      Nome de cadastro da usina hidroeletrica                                                                                                                                                  \n",
    "Varm Med:      Volume armazenado Total medio (Vmorto + Vutil)                                                                                                                                           \n",
    "Vutil:         Volume Util                                                                                                                                                                              \n",
    "Qinc:          Vazao incremental natural                                                                                                                                                                \n",
    "Qtur:          Vazao turbinada                                                                                                                                                                          \n",
    "Qver:          Vazao vertida                                                                                                                                                                            \n",
    "Qjus:          Vazao de jusante da usina (calculo da cota de jusante)                                                                                                                                   \n",
    "Qlatu:         Parcela da vazao lateral referente a defluencias de outras usinas                                                                                                                        \n",
    "Qlatp:         Parcela da vazao lateral referente a afluencias de postos                                                                                                                                \n",
    "Hjus:          Cota de jusante (canal de fuga)                                                                                                                                                          \n",
    "Hmon:          Cota de montante                                                                                                                                                                         \n",
    "PdtEsp:        Produtibilidade Especifica                                                                                                                                                               \n",
    "Tperd:         Tipo de Perda Hidraulica                                                                                                                                                                 \n",
    "               %: Em % da queda bruta                                                                                                                                                                   \n",
    "               m: Em metros                                                                                                                                                                             \n",
    "PerdHid:       Perdas hidraulicas nos condutos                                                                                                                                                          \n",
    "Vtfuga:        Flag para indicar se o vertimento influencia na cota do canal de fuga                                                                                                                    \n",
    "Afog:          Indicacao de afogamento do canal de fuga                                                                                                                                                 \n",
    "Pinst:         Potencia instalada                                                                                                                                                                       \n",
    "Ghid (FPH):    Geracao hidreletrica obtida pela funcao exata nao linear (FPH)                                                                                                                           \n",
    "Ghid (PL):     Geracao hidreletrica obtida pela solucao do PL                                                                                                                                           \n",
    "Ghid (FPHA):   Geracao hidreletrica obtida pela funcao de producao aproximada (FPHA)                                                                                                                    \n",
    "Desv Abs GHPL: Desvio absoluto entre o valor exato e o obtido pelo modelo no PL (MW)                                                                                                                    \n",
    "DesvPerc GHPL: Desvio percentual entre o valor exato e o obtido pelo modelo no PL(%)                                                                                                                    \n",
    "Desv Abs FPHA: Desvio absoluto entre o valor exato e o obtido pela FPHA (MW)                                                                                                                            \n",
    "DesvPerc FPHA: Desvio percentual entre o valor exato e o obtido pela FPHA                                                                                                                               \n",
    "------------------------------------------------------------------------------------\n",
    "\n",
    "-----;-----;--------------;----------;----------;---------;---------;------------;---------;---------;---------;---------;---------;---------------;-----;-------;------;----;----------;----------;----------;----------;--------------;---------------;--------------;---------------;\n",
    "IPER ;USIH ;   NomeUsih   ; Varm Med ;  Vutil   ;  Qinc   ;  Qtur   ;    Qver    ;  Qjus   ;  Qlatu  ;  Qlatp  ;  Hjus   ;  Hmon   ;    PdtEsp     ;Tperd;PerdHid;Vtfuga;Afog;  Pinst   ;Ghid (FPH);Ghid (PL) ;Ghid (FPHA;Desv Abs GHPL ; DesvPerc GHPL ;Desv Abs FPHA ; DesvPerc FPHA ;\n",
    "  -  ;  -  ;      -       ;  (hm3)   ;   (%)    ; (m3/s)  ; (m3/s)  ;   (m3/s)   ; (m3/s)  ; (m3/s)  ; (m3/s)  ;   (m)   ;   (m)   ;(MW/((m3/s).m));  -  ;  (m)  ;  -   ;    ;   (MW)   ;   (MW)   ;   (MW)   ;   (MW)   ;     (MW)     ;      (%)      ;     (MW)     ;      (%)      ;\n",
    "-----;-----;--------------;----------;----------;---------;---------;------------;---------;---------;---------;---------;---------;---------------;-----;-------;------;----;----------;----------;----------;----------;--------------;---------------;--------------;---------------;\n",
    "   1 ; 001 ; CAMARGOS     ;   766.94 ;    96.27 ;    88.00;    83.46;        0.00;    83.46;     0.00;     0.00;  885.742;  912.693;    0.008767   ;  m  ;  0.095;   1  ;  0 ;    46.00 ;    19.65 ;    19.65 ;    19.65 ;        0.01  ;          0.03 ;        0.01  ;          0.03 ;\n",
    "   1 ; 002 ; ITUTINGA     ;    11.00 ;   100.00 ;     0.00;    83.43;        0.00;    83.43;     0.00;     0.00;  856.749;  885.659;    0.008649   ;  m  ;  0.631;   1  ;  0 ;    52.00 ;    20.41 ;    20.35 ;    20.35 ;       -0.06  ;         -0.30 ;       -0.06  ;         -0.30 ;\n",
    "   1 ; 004 ; FUNIL-GRANDE ;   304.00 ;   100.00 ;   106.00;   205.02;        0.00;   205.02;     0.00;     0.00;  768.896;  807.913;    0.009010   ;  m  ;  0.394;   1  ;  0 ;   180.00 ;    71.35 ;    71.18 ;    71.18 ;       -0.17  ;         -0.23 ;       -0.17  ;         -0.23 ;\n",
    "   1 ; 006 ; FURNAS       ; 22820.36 ;    99.25 ;   361.00;  1072.13;        0.00;  1072.13;     0.00;     0.00;  672.705;  767.917;    0.008996   ;  m  ;  0.803;   1  ;  0 ;  1216.00 ;   910.52 ;   910.55 ;   910.55 ;        0.03  ;          0.00 ;        0.03  ;          0.00 ;\n",
    "   1 ; 007 ; M. DE MORAES ;  3957.36 ;    96.69 ;    61.00;   636.00;        0.00;   636.00;     0.00;     0.00;  621.579;  665.822;    0.008657   ;  m  ;  1.141;   1  ;  0 ;   476.00 ;   237.32 ;   237.36 ;   237.36 ;        0.04  ;          0.02 ;        0.04  ;          0.02 ;\n",
    "   1 ; 008 ; ESTREITO     ;  1378.91 ;    75.17 ;    14.00;   445.05;        0.00;   445.05;     0.00;     0.00;  557.593;  621.516;    0.008890   ;  m  ;  0.899;   1  ;  0 ;  1050.00 ;   249.37 ;   252.00 ;   252.00 ;        2.63  ;          1.06 ;        2.63  ;          1.06 ;\n",
    "   1 ; 009 ; JAGUARA      ;   419.71 ;    66.34 ;     6.00;   525.11;        0.00;   525.11;     0.00;     0.00;  512.405;  557.490;    0.008944   ;  m  ;  0.502;   1  ;  0 ;   424.00 ;   209.39 ;   212.00 ;   212.00 ;        2.61  ;          1.24 ;        2.61  ;          1.24 ;\n",
    "   1 ; 010 ; IGARAPAVA    ;   480.00 ;   100.00 ;    17.00;   519.34;        0.00;   519.34;     0.00;     0.00;  494.669;  512.007;    0.008996   ;  m  ;  0.170;   1  ;  0 ;   210.00 ;    80.21 ;    79.91 ;    79.91 ;       -0.30  ;         -0.37 ;       -0.30  ;         -0.37 ;\n",
    "   1 ; 011 ; VOLTA GRANDE ;  2206.88 ;    86.15 ;    37.00;   178.00;        0.00;   178.00;     0.00;     0.00;  466.468;  494.684;    0.008996   ;  m  ;  0.168;   1  ;  0 ;   380.00 ;    44.91 ;    44.93 ;    44.93 ;        0.02  ;          0.05 ;        0.02  ;          0.05 ;\n",
    "   1 ; 012 ; P. COLOMBIA  ;  1496.03 ;    87.81 ;   102.00;   406.65;        0.00;   406.65;     0.00;     0.00;  445.171;  467.000;    0.009071   ;  m  ;  0.228;   1  ;  0 ;   320.00 ;    79.69 ;    80.00 ;    80.00 ;        0.31  ;          0.39 ;        0.31  ;          0.39 ;\n",
    "   1 ; 014 ; CACONDE      ;   529.14 ;    94.87 ;    36.00;    92.17;        0.00;    92.17;     0.00;     0.00;  754.227;  854.307;    0.008558   ;  m  ;  0.869;   1  ;  0 ;    80.40 ;    78.26 ;    78.26 ;    78.26 ;        0.00  ;          0.00 ;        0.00  ;          0.00 ;\n",
    "   1 ; 015 ; E. DA CUNHA  ;    14.00 ;   100.00 ;    23.00;    51.98;        0.00;    51.98;     0.00;     0.00;  575.506;  664.483;    0.008602   ;  m  ;  0.726;   1  ;  0 ;   108.80 ;    39.46 ;    39.29 ;    39.29 ;       -0.17  ;         -0.42 ;       -0.17  ;         -0.42 ;\n",
    "   1 ; 016 ; A.S.OLIVEIRA ;    25.00 ;   100.00 ;     1.00;    57.74;        0.00;    57.74;     0.00;     0.00;  546.509;  572.483;    0.008599   ;  m  ;  0.186;   1  ;  0 ;    32.00 ;    12.80 ;    12.77 ;    12.77 ;       -0.03  ;         -0.27 ;       -0.03  ;         -0.27 ;\n",
    "   1 ; 017 ; MARIMBONDO   ;  5636.41 ;    90.24 ;   460.00;  2680.00;        0.00;  2680.00;     0.00;     0.00;  384.877;  445.132;    0.009070   ;  m  ;  0.819;   1  ;  0 ;  1440.00 ;  1440.00 ;  1440.00 ;  1440.00 ;        0.00  ;          0.00 ;        0.00  ;          0.00 ;\n",
    "   1 ; 018 ; A. VERMELHA  ; 10905.02 ;    97.68 ;   189.00;  2427.66;        0.00;  2427.66;     0.00;     0.00;  328.051;  383.111;    0.008825   ;  m  ;  0.751;   1  ;  0 ;  1396.20 ;  1163.56 ;  1159.00 ;  1159.00 ;       -4.56  ;         -0.39 ;       -4.56  ;         -0.39 ;\n",
    "   1 ; 020 ; BATALHA      ;  1577.25 ;    84.88 ;    30.00;    23.00;        0.00;    23.00;     0.00;     0.00;  754.798;  798.042;    0.009025   ;  m  ;  1.200;   1  ;  0 ;    52.50 ;     8.73 ;     8.71 ;     8.71 ;       -0.02  ;         -0.19 ;       -0.02  ;         -0.19 ;\n",
    "   1 ; 021 ; SERRA FACAO  ;  3080.27 ;    38.53 ;    19.00;   316.30;        0.00;   316.30;     0.00;     0.00;  675.803;  744.165;    0.008762   ;  m  ;  0.692;   1  ;  0 ;   212.58 ;   187.54 ;   187.54 ;   187.54 ;        0.00  ;          0.00 ;        0.00  ;          0.00 ;\n",
    "   1 ; 024 ; EMBORCACAO   ; 14856.05 ;    78.03 ;   104.00;   753.12;        0.00;   753.12;     0.00;     0.00;  522.218;  654.519;    0.009040   ;  m  ;  0.983;   1  ;  0 ;  1192.00 ;   894.02 ;   894.00 ;   894.00 ;       -0.02  ;          0.00 ;       -0.02  ;          0.00 ;\n",
]

MockAvlDesvfpha190300 = [
    "***********************************************************************\n",
    "*                                                                     *\n",
    "*            CEPEL - CENTRO DE PESQUISAS DE ENERGIA ELETRICA          *\n",
    "*  MODELO DESSEM     - VERSAO 19.3 - Janeiro de 2023 (CPLEX)                         *\n",
    "*                                                                     *\n",
    "***********************************************************************\n",
    "\n",
    "\n",
    "\n",
    "\n",
    "____________________________________________________________________\n",
    "\n",
    "  TE  PMO - AGOSTO/22 - SETEMBRO/22 - REV 1 - FCF COM CVAR - 12 REE - VALOR ESPER- Data do Caso: 11/08/2022                                                       \n",
    "____________________________________________________________________\n",
    "\n",
    "------------------------------------------------------------------------------------\n",
    "IPER:          Indice do periodo.                                                                                                                                                                       \n",
    "USIH:          Numero de cadastro da usina hidroeletrica                                                                                                                                                \n",
    "NomeUsih:      Nome de cadastro da usina hidroeletrica                                                                                                                                                  \n",
    "Varm Med:      Volume armazenado Total medio (Vmorto + Vutil)                                                                                                                                           \n",
    "Vutil:         Volume Util                                                                                                                                                                              \n",
    "Qtur:          Vazao turbinada                                                                                                                                                                          \n",
    "Qver:          Vazao vertida                                                                                                                                                                            \n",
    "Qjus:          Vazao de jusante da usina (calculo da cota de jusante)                                                                                                                                   \n",
    "Qlatu:         Parcela da vazao lateral referente a defluencias de outras usinas                                                                                                                        \n",
    "Qlatp:         Parcela da vazao lateral referente a afluencias de postos                                                                                                                                \n",
    "Hjus:          Cota de jusante (canal de fuga)                                                                                                                                                          \n",
    "Hmon:          Cota de montante                                                                                                                                                                         \n",
    "PdtEsp:        Produtibilidade Especifica                                                                                                                                                               \n",
    "PerdHid:       Perdas hidraulicas nos condutos                                                                                                                                                          \n",
    "Vtfuga:        Flag para indicar se o vertimento influencia na cota do canal de fuga                                                                                                                    \n",
    "Afog:          Indicacao de afogamento do canal de fuga                                                                                                                                                 \n",
    "Ghid (FPH):    Geracao hidreletrica obtida pela funcao exata nao linear (FPH)                                                                                                                           \n",
    "Ghid (PL):     Geracao hidreletrica obtida pela solucao do PL                                                                                                                                           \n",
    "Ghid (FPHA):   Geracao hidreletrica obtida pela funcao de producao aproximada (FPHA)                                                                                                                    \n",
    "Desv Abs GHPL: Desvio absoluto entre o valor exato e o obtido pelo modelo no PL (MW)                                                                                                                    \n",
    "DesvPerc GHPL: Desvio percentual entre o valor exato e o obtido pelo modelo no PL(%)                                                                                                                    \n",
    "Desv Abs FPHA: Desvio absoluto entre o valor exato e o obtido pela FPHA (MW)                                                                                                                            \n",
    "DesvPerc FPHA: Desvio percentual entre o valor exato e o obtido pela FPHA                                                                                                                               \n",
    "------------------------------------------------------------------------------------\n",
    "\n",
    "-----;-----;--------------;----------;----------;---------;------------;---------;---------;---------;---------;---------;---------------;-------;------;----;----------;----------;----------;--------------;---------------;--------------;---------------;\n",
    "IPER ;USIH ;   NomeUsih   ; Varm Med ;  Vutil   ;  Qtur   ;    Qver    ;  Qjus   ;  Qlatu  ;  Qlatp  ;  Hjus   ;  Hmon   ;    PdtEsp     ;PerdHid;Vtfuga;Afog;Ghid (FPH);Ghid (PL) ;Ghid (FPHA;Desv Abs GHPL ; DesvPerc GHPL ;Desv Abs FPHA ; DesvPerc FPHA ;\n",
    "  -  ;  -  ;      -       ;  (hm3)   ;   (%)    ; (m3/s)  ;   (m3/s)   ; (m3/s)  ; (m3/s)  ; (m3/s)  ;   (m)   ;   (m)   ;(MW/((m3/s).m));  (m)  ;  -   ;    ;   (MW)   ;   (MW)   ;   (MW)   ;     (MW)     ;      (%)      ;     (MW)     ;      (%)      ;\n",
    "-----;-----;--------------;----------;----------;---------;------------;---------;---------;---------;---------;---------;---------------;-------;------;----;----------;----------;----------;--------------;---------------;--------------;---------------;\n",
    "   1 ; 001 ; CAMARGOS     ;   700.64 ;    86.40 ;   160.50;        0.00;   160.00;     0.00;     0.00;   886.10;   911.78;    0.008767   ;   0.00;   0  ;  0 ;    36.14 ;    36.14 ;    36.14 ;        0.00  ;         -0.01 ;        0.00  ;         -0.01 ;\n",
    "   1 ; 002 ; ITUTINGA     ;    11.00 ;   100.00 ;   160.49;        0.00;   160.00;     0.00;     0.00;   857.18;   885.66;    0.008649   ;   0.00;   0  ;  0 ;    41.04 ;    39.51 ;    39.51 ;       -1.53  ;         -3.73 ;       -1.53  ;         -3.73 ;\n",
    "   1 ; 004 ; FUNIL-GRANDE ;   304.00 ;   100.00 ;   161.69;        0.00;   161.00;     0.00;     0.00;   768.00;   807.91;    0.009010   ;   0.00;   1  ;  0 ;    58.15 ;    58.15 ;    58.15 ;        0.00  ;          0.00 ;        0.00  ;          0.00 ;\n",
    "   1 ; 006 ; FURNAS       ; 17699.68 ;    69.51 ;  1219.50;        0.00;  1219.00;     0.00;     0.00;   672.65;   764.04;    0.008996   ;   0.00;   1  ;  0 ;  1013.79 ;  1002.63 ;  1002.63 ;      -11.16  ;         -1.10 ;      -11.16  ;         -1.10 ;\n",
    "   1 ; 007 ; M. DE MORAES ;  3438.12 ;    75.92 ;  1128.11;        0.00;  1128.00;     0.00;     0.00;   621.16;   663.60;    0.008657   ;   0.00;   1  ;  0 ;   414.42 ;   413.20 ;   413.20 ;       -1.22  ;         -0.29 ;       -1.22  ;         -0.29 ;\n",
    "   1 ; 008 ; ESTREITO     ;  1362.89 ;    66.18 ;  1009.75;        0.00;  1009.00;     0.00;     0.00;   557.88;   621.16;    0.008890   ;   0.00;   1  ;  0 ;   570.34 ;   568.16 ;   568.04 ;       -2.18  ;         -0.38 ;       -2.30  ;         -0.40 ;\n",
    "   1 ; 009 ; JAGUARA      ;   423.76 ;    70.84 ;  1073.51;        0.00;  1073.00;     0.00;     0.00;   512.01;   557.63;    0.008944   ;   0.00;   0  ;  0 ;   424.00 ;   424.00 ;   424.00 ;        0.00  ;          0.00 ;        0.00  ;          0.00 ;\n",
    "   1 ; 010 ; IGARAPAVA    ;   480.00 ;   100.00 ;  1063.67;        0.00;  1063.00;     0.00;     0.00;   494.91;   512.01;    0.008929   ;   0.00;   1  ;  0 ;   168.49 ;   162.27 ;   162.27 ;       -6.22  ;         -3.69 ;       -6.22  ;         -3.69 ;\n",
    "   1 ; 011 ; VOLTA GRANDE ;  2123.58 ;    55.07 ;   392.75;        0.00;   392.00;     0.00;     0.00;   466.44;   494.27;    0.008996   ;   0.00;   0  ;  0 ;    98.30 ;    98.33 ;    98.30 ;        0.03  ;          0.03 ;        0.00  ;          0.00 ;\n",
    "   1 ; 012 ; P. COLOMBIA  ;  1418.34 ;    54.54 ;   189.00;        0.00;   189.00;     0.00;     0.00;   446.11;   466.44;    0.009071   ;   0.00;   1  ;  0 ;    34.92 ;    34.80 ;    34.80 ;       -0.12  ;         -0.33 ;       -0.12  ;         -0.33 ;\n",
    "   1 ; 014 ; CACONDE      ;   421.17 ;    73.45 ;    93.00;        0.00;    93.00;     0.00;     0.00;   753.70;   850.35;    0.008558   ;   0.00;   1  ;  0 ;    80.40 ;    76.93 ;    76.93 ;       -3.47  ;         -4.32 ;       -3.47  ;         -4.32 ;\n",
    "   1 ; 015 ; E. DA CUNHA  ;    14.00 ;   100.00 ;    42.38;        0.00;    42.00;     0.00;     0.00;   574.63;   664.48;    0.008602   ;   0.00;   1  ;  0 ;    33.54 ;    32.69 ;    32.69 ;       -0.85  ;         -2.54 ;       -0.85  ;         -2.54 ;\n",
    "   1 ; 016 ; A.S.OLIVEIRA ;    25.00 ;   100.00 ;    40.76;        0.00;    40.00;     0.00;     0.00;   545.96;   572.48;    0.008599   ;   0.00;   1  ;  0 ;     9.51 ;     9.27 ;     9.27 ;       -0.23  ;         -2.44 ;       -0.23  ;         -2.44 ;\n",
    "   1 ; 017 ; MARIMBONDO   ;  3210.26 ;    44.11 ;   657.93;        0.00;   657.00;     0.00;     0.00;   382.01;   438.17;    0.009070   ;   0.00;   1  ;  0 ;   340.58 ;   335.14 ;   335.14 ;       -5.44  ;         -1.60 ;       -5.44  ;         -1.60 ;\n",
    "   1 ; 018 ; A. VERMELHA  ;  7941.93 ;    40.35 ;  2091.07;        0.00;  2091.00;     0.00;     0.00;   327.11;   377.97;    0.008825   ;   0.00;   0  ;  0 ;   938.60 ;   938.89 ;   938.89 ;        0.29  ;          0.03 ;        0.29  ;          0.03 ;\n",
    "   1 ; 020 ; BATALHA      ;  1060.02 ;    46.61 ;   154.00;        0.00;   154.00;     0.00;     0.00;   755.84;   793.45;    0.009025   ;   0.00;   1  ;  0 ;    52.60 ;    52.28 ;    52.28 ;       -0.32  ;         -0.60 ;       -0.32  ;         -0.60 ;\n",
    "   1 ; 021 ; SERRA FACAO  ;  2916.40 ;    33.78 ;   159.84;        0.00;   159.00;     0.00;     0.00;   675.07;   743.05;    0.008762   ;   0.00;   1  ;  0 ;    96.80 ;    95.20 ;    95.20 ;       -1.61  ;         -1.66 ;       -1.61  ;         -1.66 ;\n",
    "   1 ; 024 ; EMBORCACAO   ; 13188.86 ;    65.26 ;   759.00;        0.00;   758.00;     0.00;     0.00;   521.37;   649.92;    0.009040   ;   0.00;   0  ;  0 ;   896.13 ;   881.95 ;   881.95 ;      -14.18  ;         -1.58 ;      -14.18  ;         -1.58 ;\n",
    "   1 ; 025 ; NOVA PONTE   ;  7553.82 ;    49.54 ;   552.24;        0.00;   552.00;     0.00;     0.00;   697.60;   800.62;    0.008978   ;   0.00;   1  ;  0 ;   510.00 ;   510.00 ;   510.00 ;        0.00  ;          0.00 ;        0.00  ;          0.00 ;\n",
    "   1 ; 026 ; MIRANDA      ;  1112.35 ;    94.76 ;   656.43;        0.00;   656.00;     0.00;     0.00;   625.48;   695.84;    0.008834   ;   0.00;   0  ;  0 ;   408.00 ;   408.00 ;   408.00 ;        0.00  ;          0.00 ;        0.00  ;          0.00 ;\n",
    "   1 ; 027 ; CAPIM BRANC1 ;   230.67 ;    18.67 ;   277.45;        0.00;   277.00;     0.00;     0.00;   566.04;   623.48;    0.008995   ;   0.00;   0  ;  0 ;   145.97 ;   130.00 ;   143.24 ;      -15.97  ;        -10.94 ;       -2.73  ;         -1.87 ;\n",
    "   1 ; 028 ; CAPIM BRANC2 ;   878.42 ;    42.38 ;   404.72;        0.00;   404.00;     0.00;     0.00;   518.70;   564.99;    0.009077   ;   0.00;   1  ;  0 ;   175.56 ;   170.00 ;   170.00 ;       -5.56  ;         -3.17 ;       -5.56  ;         -3.17 ;\n",
    "   1 ; 029 ; CORUMBA IV   ;  3549.42 ;    79.44 ;   164.20;        0.00;   164.00;     0.00;     0.00;   771.54;   841.46;    0.008746   ;   0.00;   1  ;  0 ;   101.12 ;   100.40 ;   100.40 ;       -0.72  ;         -0.71 ;       -0.72  ;         -0.71 ;\n",
    "   1 ; 030 ; CORUMBA I    ;  1240.13 ;    74.77 ;   143.95;        0.00;   143.00;     0.00;     0.00;   513.14;   590.46;    0.008845   ;   0.00;   1  ;  0 ;    98.44 ;    98.43 ;    98.43 ;        0.00  ;          0.00 ;        0.00  ;          0.00 ;\n",
    "   1 ; 031 ; ITUMBIARA    ; 12329.83 ;    62.28 ;  2118.84;        0.00;  2118.00;     0.00;     0.00;   436.04;   513.14;    0.008958   ;   0.00;   1  ;  0 ;  1514.39 ;  1463.38 ;  1463.38 ;      -51.01  ;         -3.37 ;      -51.01  ;         -3.37 ;\n",
    "   1 ; 032 ; CACH.DOURADA ;   460.00 ;   100.00 ;  2351.00;       14.20;  2365.00;     0.00;     0.00;   402.40;   433.36;    0.008568   ;   0.00;   1  ;  0 ;   658.00 ;   604.00 ;   623.43 ;      -54.00  ;         -8.21 ;      -34.57  ;         -5.25 ;\n",
    "   1 ; 033 ; SAO SIMAO    ;  8840.93 ;    33.23 ;   910.00;        0.00;   910.00;     0.00;     0.00;   327.89;   394.39;    0.009104   ;   0.00;   0  ;  0 ;   552.96 ;   550.69 ;   550.69 ;       -2.27  ;         -0.41 ;       -2.27  ;         -0.41 ;\n",
    "   1 ; 034 ; I. SOLTEIRA  ; 20002.48 ;    80.76 ;  4474.29;        0.00;  4474.00;     0.00;     0.00;   280.74;   327.11;    0.008650   ;   0.00;   1  ;  0 ;  1824.99 ;  1794.40 ;  1794.40 ;      -30.59  ;         -1.68 ;      -30.59  ;         -1.68 ;\n",
    "   1 ; 037 ; BARRA BONITA ;  2874.77 ;    89.86 ;   520.96;        0.00;   520.00;     0.00;     0.00;   427.78;   450.58;    0.008845   ;   0.00;   1  ;  0 ;   106.18 ;   105.00 ;   105.00 ;       -1.18  ;         -1.11 ;       -1.18  ;         -1.11 ;\n",
    "   1 ; 038 ; A.S. LIMA    ;   516.91 ;    53.68 ;   195.08;        0.00;   195.00;     0.00;     0.00;   404.09;   427.04;    0.008333   ;   0.00;   1  ;  0 ;    37.55 ;    37.31 ;    37.30 ;       -0.24  ;         -0.63 ;       -0.24  ;         -0.65 ;\n",
    "   1 ; 039 ; IBITINGA     ;   953.38 ;    47.06 ;   474.60;        0.00;   474.00;     0.00;     0.00;   381.86;   403.74;    0.008438   ;   0.00;   1  ;  0 ;    87.61 ;    87.60 ;    87.60 ;       -0.01  ;         -0.01 ;       -0.01  ;         -0.01 ;\n",
    "   1 ; 040 ; PROMISSAO    ;  6325.79 ;    49.14 ;   858.76;        0.00;   858.00;     0.00;     0.00;   358.14;   381.86;    0.008798   ;   0.00;   1  ;  0 ;   180.27 ;   179.16 ;   179.16 ;       -1.11  ;         -0.62 ;       -1.11  ;         -0.62 ;\n",
    "   1 ; 042 ; NAVANHANDAVA ;  2694.14 ;    88.85 ;   830.86;        0.00;   830.00;     0.00;     0.00;   327.12;   357.79;    0.009087   ;   0.00;   1  ;  0 ;   231.60 ;   231.60 ;   231.60 ;        0.00  ;          0.00 ;        0.00  ;          0.00 ;\n",
    "   1 ; 043 ; TRES IRMAOS  ; 12714.55 ;    80.94 ;   360.00;        0.00;   360.00;     0.00;     0.00;   280.03;   327.12;    0.008846   ;   0.00;   1  ;  0 ;   149.96 ;   149.86 ;   149.86 ;       -0.10  ;         -0.07 ;       -0.10  ;         -0.07 ;\n",
    "   1 ; 045 ; JUPIA        ;  3205.46 ;    83.59 ;  4000.00;        0.00;  4000.00;     0.00;     0.00;   257.22;   279.54;    0.008751   ;   0.00;   1  ;  0 ;   781.39 ;   781.50 ;   781.50 ;        0.11  ;          0.01 ;        0.11  ;          0.01 ;\n",
    "   1 ; 046 ; P. PRIMAVERA ; 16159.18 ;    73.19 ;  3900.00;        0.00;  3900.00;     0.00;     0.00;   236.90;   257.22;    0.008928   ;   0.00;   0  ;  0 ;   790.97 ;   712.54 ;   703.71 ;      -78.43  ;         -9.92 ;      -87.26  ;        -11.03 ;\n",
    "   1 ; 047 ; A.A. LAYDNER ;  5628.01 ;    56.40 ;   141.49;        0.00;   141.00;     0.00;     0.00;   531.93;   564.71;    0.008875   ;   0.00;   1  ;  0 ;    41.72 ;    41.12 ;    41.12 ;       -0.60  ;         -1.45 ;       -0.60  ;         -1.45 ;\n",
    "   1 ; 048 ; PIRAJU       ;    84.00 ;   100.00 ;   188.51;        0.00;   188.00;     0.00;     0.00;   504.84;   531.49;    0.009024   ;   0.00;   1  ;  0 ;    47.08 ;    45.28 ;    45.28 ;       -1.80  ;         -3.82 ;       -1.80  ;         -3.82 ;\n",
    "   1 ; 049 ; CHAVANTES    ;  7343.49 ;    52.27 ;    96.00;        0.00;    96.00;     0.00;     0.00;   398.01;   470.14;    0.008791   ;   0.00;   1  ;  0 ;    60.88 ;    60.90 ;    60.90 ;        0.03  ;          0.04 ;        0.03  ;          0.04 ;\n",
    "   1 ; 050 ; L.N. GARCEZ  ;    45.00 ;   100.00 ;   196.91;        0.00;   196.00;     0.00;     0.00;   365.94;   384.17;    0.008581   ;   0.00;   1  ;  0 ;    30.81 ;    30.72 ;    30.72 ;       -0.08  ;         -0.27 ;       -0.08  ;         -0.27 ;\n",
    "   1 ; 051 ; CANOAS II    ;   151.00 ;   100.00 ;   180.34;        0.00;   180.00;     0.00;     0.00;   351.20;   365.94;    0.009089   ;   0.00;   1  ;  0 ;    24.56 ;    24.10 ;    24.10 ;       -0.45  ;         -1.84 ;       -0.45  ;         -1.84 ;\n",
    "   1 ; 052 ; CANOAS I     ;   212.00 ;   100.00 ;   221.17;        0.00;   221.00;     0.00;     0.00;   333.79;   350.95;    0.009124   ;   0.00;   1  ;  0 ;    35.45 ;    34.55 ;    34.55 ;       -0.90  ;         -2.55 ;       -0.90  ;         -2.55 ;\n",
    "   1 ; 057 ; MAUA         ;  1776.79 ;    45.75 ;    93.19;       18.80;   111.00;     0.00;     0.00;   511.54;   630.43;    0.009029   ;   0.00;   1  ;  0 ;   100.82 ;   100.00 ;   100.00 ;       -0.82  ;         -0.81 ;       -0.82  ;         -0.81 ;\n",
    "   1 ; 061 ; CAPIVARA     ;  7947.53 ;    54.71 ;   276.00;        0.00;   275.00;     0.00;     0.00;   283.82;   329.00;    0.008554   ;   0.00;   1  ;  0 ;   107.44 ;   106.41 ;   106.41 ;       -1.03  ;         -0.96 ;       -1.03  ;         -0.96 ;\n",
    "   1 ; 062 ; TAQUARUCU    ;   639.21 ;    72.76 ;   348.43;        0.00;   348.00;     0.00;     0.00;   257.85;   283.49;    0.009054   ;   0.00;   1  ;  0 ;    81.52 ;    80.00 ;    79.98 ;       -1.52  ;         -1.86 ;       -1.54  ;         -1.89 ;\n",
    "   1 ; 063 ; ROSANA       ;  1834.78 ;    80.99 ;   600.00;        0.00;   600.00;     0.00;     0.00;   236.20;   257.64;    0.009101   ;   0.00;   1  ;  0 ;   122.11 ;   116.62 ;   116.57 ;       -5.49  ;         -4.49 ;       -5.53  ;         -4.53 ;\n",
    "   1 ; 066 ; ITAIPU       ; 27696.26 ;     0.06 ;  6569.69;        0.00;  6569.00;     0.00;     0.00;    94.84;   219.00;    0.009037   ;   0.00;   1  ;  0 ;  8361.67 ;  7371.62 ;  7371.62 ;     -990.05  ;        -11.84 ;     -990.05  ;        -11.84 ;\n",
    "   1 ; 071 ; STA CLARA PR ;   284.32 ;    44.01 ;     0.01;        6.47;     6.00;     0.00;     0.00;   706.06;   796.55;    0.008985   ;   0.00;   1  ;  0 ;     0.01 ;     0.00 ;     0.00 ;       -0.01  ;          0.00 ;       -0.01  ;          0.00 ;\n",
    "   1 ; 072 ; FUNDAO       ;    35.00 ;   100.00 ;   132.06;        6.92;   138.00;     0.00;     0.00;   608.42;   706.06;    0.008917   ;   0.00;   1  ;  0 ;   114.98 ;   114.32 ;   114.32 ;       -0.66  ;         -0.57 ;       -0.66  ;         -0.57 ;\n",
    "   1 ; 073 ; JORDAO       ;   105.06 ;    80.25 ;     0.00;        0.00;     0.00;     0.00;     0.00;   602.00;   608.42;    0.000000   ;   0.00;   0  ;  0 ;     0.00 ;     0.00 ;     0.00 ;        0.00  ;          0.00 ;        0.00  ;          0.00 ;\n",
    "   1 ; 074 ; G.B. MUNHOZ  ;  4162.01 ;    57.50 ;   990.84;        0.00;   990.00;     0.00;     0.00;   605.80;   728.11;    0.008952   ;   0.00;   1  ;  0 ;  1084.82 ;  1085.48 ;  1085.48 ;        0.66  ;          0.06 ;        0.66  ;          0.06 ;\n",
    "   1 ; 076 ; SEGREDO      ;  2847.75 ;    73.65 ;  1252.96;        0.00;  1252.00;     0.00;     0.00;   502.35;   605.80;    0.008865   ;   0.00;   1  ;  0 ;  1149.11 ;  1149.12 ;  1149.12 ;        0.01  ;          0.00 ;        0.01  ;          0.00 ;\n",
    "   1 ; 077 ; SLT.SANTIAGO ;  6043.55 ;    82.22 ;  1155.00;        0.00;  1154.00;     0.00;     0.00;   396.75;   502.35;    0.009047   ;   0.00;   1  ;  0 ;  1107.47 ;  1103.44 ;  1103.44 ;       -4.03  ;         -0.36 ;       -4.03  ;         -0.36 ;\n",
    "   1 ; 078 ; SALTO OSORIO ;  1085.86 ;    90.61 ;  1398.02;        0.00;  1398.00;     0.00;     0.00;   324.76;   396.37;    0.008488   ;   0.00;   1  ;  0 ;   850.51 ;   849.83 ;   849.06 ;       -0.68  ;         -0.08 ;       -1.45  ;         -0.17 ;\n",
    "   1 ; 082 ; SALTO CAXIAS ;  3530.75 ;    84.60 ;  1630.60;        0.00;  1630.00;     0.00;     0.00;   258.89;   324.70;    0.008667   ;   0.00;   1  ;  0 ;   935.14 ;   930.00 ;   930.00 ;       -5.14  ;         -0.55 ;       -5.14  ;         -0.55 ;\n",
    "   1 ; 083 ; BAIXO IGUACU ;   195.57 ;    50.79 ;  1296.04;        0.00;  1296.00;     0.00;     0.00;   242.10;   258.53;    0.009094   ;   0.00;   1  ;  0 ;   214.34 ;   193.23 ;   193.23 ;      -21.11  ;         -9.85 ;      -21.11  ;         -9.85 ;\n",
]
